Previous Entry Share Next Entry
kde-4.6.0 elegance, for fedora 14
rdieter
Long time no blog.

Anyway, been working like mad over the past few weeks to get some kde-4.6.0 builds for fedora 14 in good shape for wider testing. I'm happy to report we're finally there.

Now, mind you, these are all unofficial builds for testing purposes only, may harm kittens, blah, blah, yada, yada.

(GIMMEE, GIMMEE I hear you saying). Alright, alright.

Fetch this kde.repo file, and drop it into your/etc/yum.repos.d/ directory. If you already have kde installed, then do your usual update procedure (via packagekit, yum, whatever). Otherwise, you're just a yum install @kde-desktop away.

Also, if you would be so kind to provide some (good or bad or ugly) feedback, preferably to our fedora kde mailing list, the kde-sig would be highly appreciative.
Tags: ,

But...

(Anonymous)

2011-01-27 07:31 pm (UTC)

There will be an official version of KDE 4.6 for Fedora 14 or the only way is install this repo?

I was going to ask the same thing. I appreciated the effort that the group took to backport KDE 4.5 to Fedora 13.

Thank you for your work!! :)

At a recent kde-sig meeting,
http://fedoraproject.org/wiki/SIGs/KDE/Meetings/2011-01-25
we deferred the decision until at least kde-4.6.1, when we've had more testing and feedback.

Works like a charm for Fedora 14. Now I can eject usb devices/DVDs from Dolphin, thanks to HALectomy ;-)

Hm, Brightness down key works, Brightness up doesn't.

And, kbluetooth segfaults now. I recollect BlueDevil deprecated kbluetooth, is it available for F14 (I see only libbludevil...)?

I'll get bluedevil built for kde-testing too, thanks for the reminder.

Thanks Rex, I'm running BlueDevil from testing repo. I can completely ditch GNOME now ;-)

Thank you for posting this, it was quite helpful and told a lot.

Fedora Testing

(Anonymous)

2011-02-02 09:03 pm (UTC)

I had to enable the fedora-testing repos for this to work. As soon as I did that it worked GREAT!

Thank you very much

(Anonymous)

2011-02-07 08:19 pm (UTC)

I must thank you very much for the packages. For my use they are good enough, so good that I actualy switched from GNOME to KDE. Just couldn't resist the cool new technologies and the awesome look KDE has. So thanks again!

unable to upgrade fedora 14 x64

(Anonymous)

2011-02-13 02:19 am (UTC)

Hi Rex,
Soprano seems to have a conflict that prevents me from updating. I receive this message even when typing yum update --skip-broken:
Errore nel controllo transazione:
file /usr/share/soprano/plugins/nquadparser.desktop from install of soprano-2.6.0-0.1.fc14.x86_64 conflicts with file from package soprano-2.5.2-1.fc14.i686
file /usr/share/soprano/plugins/nquadserializer.desktop from install of soprano-2.6.0-0.1.fc14.x86_64 conflicts with file from package soprano-2.5.2-1.fc14.i686
file /usr/share/soprano/plugins/raptorparser.desktop from install of soprano-2.6.0-0.1.fc14.x86_64 conflicts with file from package soprano-2.5.2-1.fc14.i686
file /usr/share/soprano/plugins/raptorserializer.desktop from install of soprano-2.6.0-0.1.fc14.x86_64 conflicts with file from package soprano-2.5.2-1.fc14.i686
file /usr/share/soprano/plugins/redlandbackend.desktop from install of soprano-2.6.0-0.1.fc14.x86_64 conflicts with file from package soprano-2.5.2-1.fc14.i686
file /usr/share/soprano/plugins/virtuosobackend.desktop from install of soprano-2.6.0-0.1.fc14.x86_64 conflicts with file from package soprano-2.5.2-1.fc14.i686

Any advice would be appreciated!

Re: unable to upgrade fedora 14 x64

rdieter

2011-02-15 05:21 pm (UTC)

I can add soprano multilib'ing I suppose, but you'd probably best just:
yum remove soprano.i686
from your x86_64 box (unless you have a good use-case for it, I'd like to hear it).

Thanks for posting, I like this blog!


You are viewing rdieter